import React, { useState, useEffect } from 'react';
import ReactDOM from 'react-dom';
import { csv } from 'd3';
import { LineChart } from './LineChart';
import { useData } from './useData';
const width = window.innerWidth;
const height = window.innerHeight;

const App = () => {
  const data = useData();
  return  data ? 
    <LineChart data={data} width={width} height={height} /> :<div> loading...</div>

};

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
